Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.portal.cataloguemanager.model
Class ResourceConstraints

    java.lang.Object
      org.deegree.portal.cataloguemanager.model.ResourceConstraints

    public class ResourceConstraints

extends Object

Java class for anonymous complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType>
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <choice>
             <element ref="{http://www.isotc211.org/2005/gmd}MD_Constraints"/>
             <element ref="{http://www.isotc211.org/2005/gmd}MD_LegalConstraints"/>
           </choice>
         </restriction>
       </complexContent>
     </complexType>

Field Summary
`protected MDConstraints` | `mdConstraints`
`protected MDLegalConstraints` | `mdLegalConstraints`

Constructor Summary
`ResourceConstraints()`

Method Summary
`MDConstraints` | `getMDConstraints()` Gets the value of the mdConstraints property.
`MDLegalConstraints` | `getMDLegalConstraints()` Gets the value of the mdLegalConstraints property.
`void` | `setMDConstraints(MDConstraints value)` Sets the value of the mdConstraints property.
`void` | `setMDLegalConstraints(MDLegalConstraints value)` Sets the value of the mdLegalConstraints property.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### mdConstraints

    protected MDConstraints mdConstraints

### mdLegalConstraints

    protected MDLegalConstraints mdLegalConstraints

Constructor Detail

### ResourceConstraints

    public ResourceConstraints()

Method Detail

### getMDConstraints

    public MDConstraints getMDConstraints()

  Gets the value of the mdConstraints property.

  Returns:
    possible object is `MDConstraints`

### setMDConstraints

    public void setMDConstraints(MDConstraints value)

  Sets the value of the mdConstraints property.

  Parameters:
    `value` - allowed object is `MDConstraints`

### getMDLegalConstraints

    public MDLegalConstraints getMDLegalConstraints()

  Gets the value of the mdLegalConstraints property.

  Returns:
    possible object is `MDLegalConstraints`

### setMDLegalConstraints

    public void setMDLegalConstraints(MDLegalConstraints value)

  Sets the value of the mdLegalConstraints property.

  Parameters:
    `value` - allowed object is `MDLegalConstraints`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org